libecap-devel-static-1.0.1-alt1.i586.rpm


Advertisement

Description

libecap-devel-static - Libraries and header files for the libecap library

Property Value
Distribution ALT Linux Sisyphus
Repository Classic i586
Package filename libecap-devel-static-1.0.1-alt1.i586.rpm
Package name libecap-devel-static
Package version 1.0.1
Package release alt1
Package architecture i586
Package type rpm
Category Development/C++
Homepage -
License -
Maintainer -
Download size 662.05 KB
Installed size 662.05 KB
eCAP is a software interface that allows a network application, such as an HTTP
proxy or an ICAP server, to outsource content analysis and adaptation to a
loadable module. For each applicable protocol message being processed, an
eCAP-enabled host application supplies the message details to the adaptation
module and gets back an adapted message, a "not interested" response, or a "block
this message now!" instruction. These exchanges often include message bodies.
The adaptation module can also exchange meta-information with the host
application to supply additional details such as configuration options, a reason
behind the decision to ignore a message, or a detected virus name.
This package provides the static libecap library needed for developing static
libecap applications.

Alternatives

Package Version Architecture Repository
libecap-devel-static-1.0.1-alt1.x86_64.rpm 1.0.1 x86_64 Classic
libecap-devel-static - - -

Requires

Name Value
glibc-devel-static -
libecap-devel = 1.0.1-alt1
rpmlib(PayloadIsLzma) -

Provides

Name Value
libecap-devel-static = 1.0.1-alt1

Conflicts

Name Value
libecap0-devel-static -

Download

Type URL
Mirror ftp.altlinux.org
Binary Package libecap-devel-static-1.0.1-alt1.i586.rpm
Source Package libecap-1.0.1-alt1.src.rpm

Install Howto

  1. Add the following line to /etc/apt/sources.list:
    
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus i586 classic
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus noarch classic
    
  2. Update the package index:
    # sudo apt-get update
  3. Install libecap-devel-static rpm package:
    # sudo apt-get install libecap-devel-static

Files

Path
/usr/lib/libecap.a

Changelog

2015-10-20 - Alexey Shabalin <shaba@altlinux.ru> 1.0.1-alt1
- 1.0.1
2015-10-20 - Anton V. Boyarshinov <boyarsh@altlinux.ru> 1.0.0-alt1.1
- rebuild with c++11 abi
2015-04-15 - Alexey Shabalin <shaba@altlinux.ru> 1.0.0-alt1
- 1.0.0
2013-10-06 - Led <led@altlinux.ru> 0.2.0-alt3
- dropped wry fcimport'ed crap
- added subpackage with static library
2013-09-24 - Igor Vlasenko <viy@altlinux.ru> 0.2.0-alt2_7
- update to new release by fcimport
2013-08-12 - Igor Vlasenko <viy@altlinux.ru> 0.2.0-alt2_6
- update to new release by fcimport
2013-02-22 - Igor Vlasenko <viy@altlinux.ru> 0.2.0-alt2_5
- update to new release by fcimport
2012-07-27 - Igor Vlasenko <viy@altlinux.ru> 0.2.0-alt2_4
- update to new release by fcimport
2012-02-01 - Igor Vlasenko <viy@altlinux.ru> 0.2.0-alt2_3
- update to new release by fcimport
2011-12-23 - Igor Vlasenko <viy@altlinux.ru> 0.2.0-alt2_2
- spec cleanup thanks to ldv@

See Also

Package Description
libecb-devel-0.20190722-alt1_2.i586.rpm Compiler built-ins
libechonest-2.3.0-alt1_7.i586.rpm C++ wrapper for the Echo Nest API
libechonest-devel-2.3.0-alt1_7.i586.rpm Development files for libechonest
libechonest-qt5-2.3.0-alt1_7.i586.rpm libechonest Qt5 bindings
libechonest-qt5-devel-2.3.0-alt1_7.i586.rpm Development files for libechonest-qt5
libecpg6-12.0-alt2.i586.rpm Shared library libecpg6 for PostgreSQL
libedit-devel-3.1.20190324-alt1.i586.rpm Files needed to develop programs which use the libedit3 library
libedit3-3.1.20190324-alt1.i586.rpm libedit is a replacement or alternative to the GNU readline commandline editing functionality
libeditorconfig-0.12.3-alt1.1.i586.rpm EditorConfig shared library
libeditorconfig-devel-0.12.3-alt1.1.i586.rpm Development files for EditorConfig library
libefivar-37-alt1.i586.rpm Library to manage UEFI variables
libefivar-devel-37-alt1.i586.rpm Development headers for libefivar
libefx-devel-1.9.99-alt2_2.i586.rpm Headers and development libraries from efx
libefx1-1.9.99-alt2_2.i586.rpm Libraries for the efx package
libeidviewer-4.4.23-alt1.i586.rpm eid-viewer library
Advertisement
Advertisement